gnutls_pkcs11_privkey_export_pubkey(3)

NAME
gnutls_pkcs11_privkey_export_pubkey - API function

SYNOPSIS
#include <gnutls/pkcs11.h>

int gnutls_pkcs11_privkey_export_pubkey(gnutls_pkcs11_privkey_t pkey, gnutls_x509_crt_fmt_t fmt, gnutls_datum_t * data, unsigned int flags);

ARGUMENTS

gnutls_pkcs11_privkey_t pkey
    The private key

gnutls_x509_crt_fmt_t fmt
    the format of output params. PEM or DER.

gnutls_datum_t * data
    will hold the public key

unsigned int flags
    should be zero

DESCRIPTION
This function will extract the public key (modulus and public exponent) from the private key specified by the url private key. This public key will be stored in pubkey in the format specified by fmt . pubkey should be deinitialized using gnutls_free().

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
3.3.7

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001- Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/